using System;
using System.Data;
using System.Data.OleDb;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using Telerik.WebControls;

namespace GridUserControlEditFormCS
{
	/// <summary>
	/// Summary description for WebForm1.
	/// </summary>
	public class WebForm1 : Page
	{
		protected Telerik.WebControls.RadGrid RadGrid1;

		private void Page_Load(object sender, EventArgs e)
		{
			// Put user code to initialize the page here
		}

		private void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
		{
			OleDbConnection MyOleDbConnection = new OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" + Server.MapPath("~/Grid/Data/Access/Nwind.mdb"));
			OleDbDataAdapter MyOleDbDataAdapter = new OleDbDataAdapter();
			MyOleDbDataAdapter.SelectCommand = new OleDbCommand("SELECT * FROM Employees", MyOleDbConnection);

			DataTable myDataTable = new DataTable();

			MyOleDbConnection.Open();
			try
			{
				MyOleDbDataAdapter.Fill(myDataTable);
			}
			finally
			{
				MyOleDbConnection.Close();
			}

			RadGrid1.DataSource = myDataTable;

		}

		private void RadGrid1_ItemCommand(object source, GridCommandEventArgs e)
		{
			if (e.CommandName == RadGrid.EditCommandName || e.CommandName == RadGrid.InitInsertCommandName)
			{
				Session["changeEditForm"] = null;
			}
			if (e.CommandName == "UploadFile" && e.Item is GridDataItem)
			{
				e.Item.Edit = true;
				Session["changeEditForm"] = true;
				RadGrid1.Rebind();
			}
			if (e.CommandName == "Close")
			{
				RadGrid1.EditIndexes.Clear();
				RadGrid1.Rebind();
			}

		}


		private void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
		{
			if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
			{
				if (!Convert.ToBoolean(Session["changeEditForm"] == null))
				{
					GridEditFormItem formItem = (GridEditFormItem) e.Item;
					formItem.EditFormCell.Controls.Clear();

					formItem.EditFormCell.Controls.Add(new HtmlInputFile());
					formItem.EditFormCell.Controls.Add(new LiteralControl("<br/>"));

					Button uploadButton = new Button();
					uploadButton.Text = "Upload file";
					uploadButton.CommandName = "Upload";
					formItem.EditFormCell.Controls.Add(uploadButton);

					Button closeButton = new Button();
					closeButton.Text = "Close";
					closeButton.CommandName = "Close";
					formItem.EditFormCell.Controls.Add(closeButton);


				}
			}
		}

		#region Web Form Designer generated code

		protected override void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}

		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.RadGrid1.NeedDataSource += new Telerik.WebControls.GridNeedDataSourceEventHandler(this.RadGrid1_NeedDataSource);
			this.RadGrid1.ItemCreated += new Telerik.WebControls.GridItemEventHandler(this.RadGrid1_ItemCreated);
			this.RadGrid1.ItemCommand += new Telerik.WebControls.GridCommandEventHandler(this.RadGrid1_ItemCommand);
			this.Load += new System.EventHandler(this.Page_Load);

		}

		#endregion

	}
}